[ARVADOS-DEV] updated: a65ef5beec96779918cc2a0a26dd158d873ac2ee

Git user git at public.curoverse.com
Wed Apr 25 22:22:50 EDT 2018


Summary of changes:
 jenkins/run-cwl-test.sh | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

       via  a65ef5beec96779918cc2a0a26dd158d873ac2ee (commit)
      from  3030f8ffe8c0d4c1d2de69e9b9d21a6b2eb10796 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit a65ef5beec96779918cc2a0a26dd158d873ac2ee
Author: Ward Vandewege <ward at curoverse.com>
Date:   Wed Apr 25 22:22:11 2018 -0400

    Support -j argument on run-cwl-test.sh script, to parallelize the CWL
    tests.
    
    No issue #
    
    Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <wvandewege at veritasgenetics.com>

diff --git a/jenkins/run-cwl-test.sh b/jenkins/run-cwl-test.sh
index 34b956c..4ad9ebd 100755
--- a/jenkins/run-cwl-test.sh
+++ b/jenkins/run-cwl-test.sh
@@ -8,6 +8,7 @@ set -o pipefail
 
 DEBUG=0
 SSH_PORT=22
+JOBS=1
 ACCT=ci
 
 function usage {
@@ -22,6 +23,7 @@ function usage {
     echo >&2 "  -d, --debug                   Enable debug output"
     echo >&2 "  -h, --help                    Display this help and exit"
     echo >&2 "  -s, --scopes                  Print required scopes to run tests"
+    echo >&2 "  -j, --jobs <jobs>             Allow N jobs at once; 1 job with no arg."
     echo >&2
 }
 
@@ -61,7 +63,7 @@ function print_scopes {
 
 # NOTE: This requires GNU getopt (part of the util-linux package on Debian-based distros).
 TEMP=`getopt -o hdp:s \
-    --long help,scopes,debug,port:,acct: \
+    --long help,scopes,debug,port:,acct:,jobs: \
     -n "$0" -- "$@"`
 
 if [ $? != 0 ] ; then echo "Use -h for help"; exit 1 ; fi
@@ -85,6 +87,9 @@ do
             print_scopes
             exit 0
             ;;
+        -j | --jobs)
+            JOBS="$2"; shift 2
+            ;;
         --)
             shift
             break
@@ -183,10 +188,10 @@ if [[ "$ECODE" != "0" ]]; then
   exit $ECODE
 fi
 
-run_command shell.$IDENTIFIER ECODE "cd common-workflow-language; git pull; ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN ./run_test.sh RUNNER=/home/$ACCT/arvados-cwl-runner-with-checksum.sh "
+run_command shell.$IDENTIFIER ECODE "cd common-workflow-language; git pull; ARVADOS_API_HOST=$ARVADOS_API_HOST ARVADOS_API_TOKEN=$ARVADOS_API_TOKEN ./run_test.sh -j$JOBS RUNNER=/home/$ACCT/arvados-cwl-runner-with-checksum.sh"
 
 if [[ "$ECODE" != "0" ]]; then
-  echo "Failed ./run_test.sh RUNNER=/home/$ACCT/arvados-cwl-runner-with-checksum.sh"
+  echo "Failed ./run_test.sh -j$JOBS RUNNER=/home/$ACCT/arvados-cwl-runner-with-checksum.sh"
   exit $ECODE
 fi
 

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list